#=
Created on 03 Aug 2021

@author: David Doblas Jiménez
@email: daviddoji@pm.me

Solution for Problem 020 of Project Euler
https://projecteuler.net/problem=20
=#

using BenchmarkTools

function Problem020()
    #=
    n! means n × (n − 1) × ... × 3 × 2 × 1

    For example, 10! = 10 × 9 × ... × 3 × 2 × 1 = 3628800,
    and the sum of the digits in the number 10! is:
    3 + 6 + 2 + 8 + 8 + 0 + 0 = 27.

    Find the sum of the digits in the number 100!
    =#

    return sum(digits(factorial(big(100))))
end


println("Took:")
@btime Problem020()
println("")
println("Result for Problem $(lpad(20, 3, "0")): ", Problem020())
